Index: trunk/grails-app/views/taskDetailed/edit.gsp
===================================================================
--- trunk/grails-app/views/taskDetailed/edit.gsp	(revision 168)
+++ trunk/grails-app/views/taskDetailed/edit.gsp	(revision 181)
@@ -114,35 +114,8 @@
                             <tr class="prop">
                                 <td valign="top" class="name">
-                                    <label for="taskStatus">Task Status:</label>
+                                    <label for="scheduled">Scheduled:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:taskInstance,field:'taskStatus','errors')}">
-                                    <g:select optionKey="id" from="${TaskStatus.list()}" name="taskStatus.id" value="${taskInstance?.taskStatus?.id}" ></g:select>
-                                </td>
-                            </tr> 
-                        
-                            <tr class="prop">
-                                <td valign="top" class="name">
-                                    <label for="isActive">Is Active:</label>
-                                </td>
-                                <td valign="top" class="value ${hasErrors(bean:taskInstance,field:'isActive','errors')}">
-                                    <g:checkBox name="isActive" value="${taskInstance?.isActive}" ></g:checkBox>
-                                </td>
-                            </tr> 
-                        
-                            <tr class="prop">
-                                <td valign="top" class="name">
-                                    <label for="isApproved">Is Approved:</label>
-                                </td>
-                                <td valign="top" class="value ${hasErrors(bean:taskInstance,field:'isApproved','errors')}">
-                                    <g:checkBox name="isApproved" value="${taskInstance?.isApproved}" ></g:checkBox>
-                                </td>
-                            </tr> 
-                        
-                            <tr class="prop">
-                                <td valign="top" class="name">
-                                    <label for="isScheduled">Is Scheduled:</label>
-                                </td>
-                                <td valign="top" class="value ${hasErrors(bean:taskInstance,field:'isScheduled','errors')}">
-                                    <g:checkBox name="isScheduled" value="${taskInstance?.isScheduled}" ></g:checkBox>
+                                <td valign="top" class="value ${hasErrors(bean:taskInstance,field:'scheduled','errors')}">
+                                    <g:checkBox name="scheduled" value="${taskInstance?.scheduled}" ></g:checkBox>
                                 </td>
                             </tr>
@@ -181,16 +154,13 @@
                                 <td valign="top" class="value ${hasErrors(bean:taskInstance,field:'assignedPersons','errors')}">
                                     
-								<ul>
-								<g:each var="a" in="${taskInstance?.assignedPersons?}">
-									<li><g:link controller="assignedPersonDetailed" action="edit" id="${a.id}">${a?.encodeAsHTML()}</g:link></li>
-								</g:each>
-								</ul>
-								<g:link controller="assignedPersonDetailed" params="['task.id':taskInstance?.id]" action="create">Add AssignedPerson</g:link>
+                                <ul>
+                                <g:each var="a" in="${taskInstance?.assignedPersons?}">
+                                    <li><g:link controller="assignedPersonDetailed" action="edit" id="${a.id}">${a?.encodeAsHTML()}</g:link></li>
+                                </g:each>
+                                </ul>
 
                                 </td>
-                            </tr> 
+                            </tr>
 
-
-                        
                         </tbody>
                     </table>
@@ -198,5 +168,6 @@
                 <div class="buttons">
                     <span class="button"><g:actionSubmit class="save" value="Update" /></span>
-                    <span class="button"><g:actionSubmit class="delete" onclick="return confirm('Are you sure?');" value="Delete" /></span>
+                    <span class="button"><g:actionSubmit class="cancel" value="Cancel" action="show"/></span>
+                    <span class="button"><g:actionSubmit class="trash" onclick="return confirm('Are you sure?');" value="Trash" /></span>
                 </div>
             </g:form>
